#include "calendar.h"
#include "clock.h"
#include <iostream>
//#include <stdlib.h>
//#include <windows.h>
//#include <mmsystem.h>
#include <SDL/SDL.h>

using namespace std;

//create the game calendar

Calendar::Calendar(int StartYear,int FramesPerDay)
{
    Year = StartYear;
    NumFrames = FramesPerDay;
    DayFrame = 0;
    Month = 1;
    Day = 1;

    DayMs = SDL_GetTicks();
//    DayMs = timeGetTime();
    
    // determine if the start year is leap or not
    if ((((Year % 4) == 0) && ((Year % 100) != 0)) || ((Year % 400) == 0))
        LeapYear = true;
        else
        LeapYear = false;
};

//slowly twist the knife and kill the calendar

Calendar::~Calendar()
{
};    

//calculate the next day

void Calendar::NextDay (void)
{
//pass next frame
DayFrame++;

if (DayFrame >= NumFrames)
    {
    Display();    
    DayMs = SDL_GetTicks();
//    DayMs = timeGetTime();
    DayFrame = 0;
    Day++;

//do we have end of february
//non-leap year
    if ((Day == 29) && (Month == 2) && (LeapYear == false))
        {
           Day=01;
           Month++;
        };

//leap year
    if ((Day == 30) && (Month == 2) && (LeapYear == true))
        {
           Day=01;
           Month++;
        };

// end of april, june, september, november
    if (Day == 31)
        {
        if ((Month == 4) || (Month == 6) || (Month == 9) || (Month == 11))
           {
                Day=01;
                Month++;
           };
        }    
        
// end of the rest
    if (Day == 32)
        {
           Day = 01;
           Month++;
        };

// now - change the year
    if (Month == 13)
        {
           Month = 1;
           Year++;
           //determine if it is leap year or not
           if ((((Year % 4) == 0) && ((Year % 100) != 0)) || ((Year % 400) == 0))
              LeapYear = true;
              else
              LeapYear = false;
        };
        };        
};

//display current date

void Calendar::Display (void)
    {
        cout << "day:" << (int)Day << " month:" << (int)Month;
        cout << " year:" << Year;
        cout << " time:"<< int(SDL_GetTicks()-DayMs) << "\n";
//        cout << " time:"<< int(timeGetTime()-DayMs) << "\n";
    };    
