class Calendar
{
  //day in the game time
  char Day;
  
  //month of the game time
  char Month;
  
  //year of the game time
  int Year;
  
  //do we have leap or normal year?
  bool LeapYear;
  
  //which frame of the day currently passes
  int DayFrame;
  
  //how many frames it takes to constitute a day
  //when DayFrames == NumFrames then we change the day
  int NumFrames;
  
  //how many ms passed since the beginning of the day
  //display only
  double DayMs;
  
  public:
  
//###########
//# methods #
//###########
  
  //constructor
  //argumets:
  //StartYear: from which year to start
  //FramesPerDay: how many frames per one day
  Calendar(int StartYear,int FramesPerDay);
  
  //destructor
  ~Calendar(void);
  
  //change day
  void NextDay(void);
  
  //display calendar data
  void Display (void);
};
