#include "clock.h"
#include <iostream>
#include <stdlib.h>
//#include <windows.h>
//#include <mmsystem.h>
#include <SDL/SDL.h>

using namespace std;

// constructor
Clock::Clock(int MaximumServerTime)
    {
        ServerTime = MaximumServerTime;
    };

// destructor
Clock::~Clock(void)
    {
    };    

// start server clock
void Clock::StartClock(void)
    {
        CurrentMs = 0;
        AbsoluteTime = SDL_GetTicks();
    };    

// stop server clock
int Clock::StopServerClock(void)
    {
        CurrentMs = int(SDL_GetTicks() - AbsoluteTime);
        if (CurrentMs > ServerTime)
           return 0;
        else
           return (ServerTime-CurrentMs);
    };    

